"use strict";

var HerokuCommandKeys = module.exports = function(options) {
    this.options = options;
};

HerokuCommandKeys.$options = {
    "key": true
};

(function() {
    
    this.index = function(callback) {
        this.$client.keys(callback);
    };
    
    this.add = function(callback) {
        this.$client.addKey(this.options.key, callback);
    };
    
    this.remove = function(callback) {
        this.$client.removeKey(this.options.key, callback);
    };
    
    this.clear = function(callback) {
        this.$client.clearKeys(callback);
    }
    
}).call(HerokuCommandKeys.prototype);